<div class="endpoint"><span class="method">POST</span><code>/api/v1/workspaces/&#123;workspaceId&#125;/rips-packages/&#123;packageId&#125;/restore</code></div>

**Operation ID:** `ripsPackages.restore` · **Access:** PAT with `write` scope and authorized workspace where applicable · **Effect:** `write`.

Read the [rips packages workflow](/guides/rips-lifecycle/) before this operation.

## Parameters

| Name | In | Required | Type / allowed values |
| --- | --- | --- | --- |
| `workspaceId` | path | Yes | string |
| `packageId` | path | Yes | string |
| `idempotency-key` | header | No | string |

## Responses

| HTTP | Content | Schema |
| --- | --- | --- |
| 200 | `application/json` | [RipsPackage](/reference/schemas/rips-package/) |
| 400 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 401 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 403 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 404 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 409 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 428 | `application/json` | [ApiError](/reference/schemas/api-error/) |
| 500 | `application/json` | [ApiError](/reference/schemas/api-error/) |

Use `error.code`, `error.issues`, and `requestId` for JSON errors. [Error and recovery guide](/guides/errors-and-retries/).

## cURL

Set the connection variables from the [quickstart](/guides/quickstart/). Set each path variable to an authorized identifier or an allowed parameter value from the table above.

```bash
curl --fail-with-body --request POST \
  "$RIPSCLOUD_BASE_URL/api/v1/workspaces/$WORKSPACE_ID/rips-packages/$PACKAGE_ID/restore" \
  --header "Authorization: Bearer $RIPSCLOUD_TOKEN" \
  --header 'Accept: application/json'
```
